Ogre::SmallVectorBase Class Reference

SmallVectorBase - This is all the non-templated stuff common to all SmallVectors. More...

`#include <OgreSmallVector.h>`

Inheritance diagram for Ogre::SmallVectorBase:
[legend]

List of all members.

## Classes

union | U

## Public Member Functions

bool | empty () const

## Protected Member Functions

| SmallVectorBase (size_t Size)
bool | isSmall () const
| isSmall - Return true if this is a smallvector which has not had dynamic memory allocated for it.
size_t | size_in_bytes () const
| size_in_bytes - This returns size()*sizeof(T).
size_t | capacity_in_bytes () const
| capacity_in_bytes - This returns capacity()*sizeof(T).
void | grow_pod (size_t MinSizeInBytes, size_t TSize)
| grow_pod - This is an implementation of the grow() method which only works

## Protected Attributes

void * | BeginX
void * | EndX
void * | CapacityX
union Ogre::SmallVectorBase::U | FirstEl

## Detailed Description

SmallVectorBase - This is all the non-templated stuff common to all SmallVectors.

Definition at line 116 of file OgreSmallVector.h.

## Constructor & Destructor Documentation

Ogre::SmallVectorBase::SmallVectorBase | ( | size_t | Size | ) | `[protected]`

Definition at line 134 of file OgreSmallVector.h.

## Member Function Documentation

size_t Ogre::SmallVectorBase::capacity_in_bytes | ( |  | ) | const`[protected]`

capacity_in_bytes - This returns capacity()*sizeof(T).

Definition at line 149 of file OgreSmallVector.h.

References BeginX, and CapacityX.

bool Ogre::SmallVectorBase::empty | ( |  | ) | const

Definition at line 158 of file OgreSmallVector.h.

References BeginX, and EndX.

Referenced by Ogre::SmallVector< PMTriangle *, 8 >::SmallVector().

void Ogre::SmallVectorBase::grow_pod | ( | size_t | MinSizeInBytes,
|  | size_t | TSize
| ) |  | `[protected]`

grow_pod - This is an implementation of the grow() method which only works

on POD-like data types and is out of line to reduce code duplication.

Referenced by Ogre::SmallVectorTemplateBase< T, true >::grow().

bool Ogre::SmallVectorBase::isSmall | ( |  | ) | const`[protected]`

isSmall - Return true if this is a smallvector which has not had dynamic memory allocated for it.

Definition at line 139 of file OgreSmallVector.h.

References BeginX, and FirstEl.

Referenced by Ogre::SmallVectorImpl< T >::swap(), and Ogre::SmallVectorImpl< PMVertex * >::~SmallVectorImpl().

size_t Ogre::SmallVectorBase::size_in_bytes | ( |  | ) | const`[protected]`

size_in_bytes - This returns size()*sizeof(T).

Definition at line 144 of file OgreSmallVector.h.

References BeginX, and EndX.

## Member Data Documentation

void* Ogre::SmallVectorBase::BeginX`[protected]`

Definition at line 118 of file OgreSmallVector.h.

Referenced by Ogre::SmallVectorTemplateCommon< PMVertex * >::begin(), capacity_in_bytes(), Ogre::SmallVectorImpl< PMVertex * >::clear(), empty(), isSmall(), size_in_bytes(), and Ogre::SmallVectorImpl< T >::swap().

void * Ogre::SmallVectorBase::CapacityX`[protected]`

Definition at line 118 of file OgreSmallVector.h.

Referenced by capacity_in_bytes(), Ogre::SmallVectorTemplateCommon< PMVertex * >::capacity_ptr(), Ogre::SmallVectorImpl< PMVertex * >::insert(), Ogre::SmallVectorImpl< PMVertex * >::push_back(), and Ogre::SmallVectorImpl< T >::swap().

void * Ogre::SmallVectorBase::EndX`[protected]`

Definition at line 118 of file OgreSmallVector.h.

Referenced by Ogre::SmallVectorImpl< PMVertex * >::clear(), empty(), Ogre::SmallVectorTemplateCommon< PMVertex * >::end(), Ogre::SmallVectorTemplateCommon< PMVertex * >::setEnd(), size_in_bytes(), and Ogre::SmallVectorImpl< T >::swap().

union Ogre::SmallVectorBase::U Ogre::SmallVectorBase::FirstEl`[protected]`

Referenced by isSmall().

The documentation for this class was generated from the following file:

- OgreSmallVector.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:40